All Classes Namespaces Functions Variables Groups Pages
CsvUtil Namespace Reference

the CsvUtil namespace contains all the objects in the CsvUtil module More...

## Classes

class | AbstractCsvIterator
| the AbstractCsvIterator class is an abstract base class that allows abstract CSV data to be iterated More...
class | AbstractCsvWriter
| The AbstractCsvWriter class provides a parent for all CSV writers. More...
class | CsvDataIterator
| The CsvDataIterator class allows arbitrary CSV string data to be iterated on a record basis. More...
class | CsvFileIterator
| The CsvFileIterator class allows CSV files to be iterated on a record basis. More...
class | CsvFileWriter
| The CsvFileWriter class for safe CSV file creation. More...
class | CsvStringWriter
| The CsvStringWriter class for in-memory string CSV creation. More...

## Variables

const | CSV_TYPE_SINGLE = "<single>"
| Record type when multi-type is disabled.
const | CSV_TYPE_UNKNOWN = "<unknown>"
| Record type when non matching any type.
const | EOL_MACINTOSH = "\r"
| Old (pre-OSX) Macintosh end of line character sequence.
const | EOL_UNIX = "\n"
| Unix end of line character sequence (for new OS X too)
const | EOL_WIN = "\r\n"
| MS DOS/Windows end of line character sequence.

## Detailed Description

the CsvUtil namespace contains all the objects in the CsvUtil module